2
0

Small C build and script fixes.

This commit is contained in:
Maarten Billemont 2014-06-10 16:25:35 -04:00
parent cced75cdfe
commit d1cc9481c3
3 changed files with 5 additions and 4 deletions

View File

@ -1,4 +1,4 @@
#!/usr/bin/env bash -e #!/usr/bin/env bash
# Run with -DDEBUG to enable trace-level output. # Run with -DDEBUG to enable trace-level output.
[[ -e lib/scrypt/scryptenc.o ]] || { echo >&2 "Missing scrypt. First get and build the scrypt source in lib/scrypt from <$(<lib/scrypt/.source)>.\n"; exit 1; } [[ -e lib/scrypt/scryptenc.o ]] || { echo >&2 "Missing scrypt. First get and build the scrypt source in lib/scrypt from <$(<lib/scrypt/.source)>.\n"; exit 1; }

View File

@ -7,7 +7,7 @@ mpw() {
elif hash xclip 2>/dev/null; then elif hash xclip 2>/dev/null; then
xclip xclip
else else
cat cat; echo 2>/dev/null
return return
fi fi
echo >&2 "Copied!" echo >&2 "Copied!"
@ -17,7 +17,7 @@ mpw() {
:| _copy 2>/dev/null :| _copy 2>/dev/null
# Ask for the user's name and password if not yet known. # Ask for the user's name and password if not yet known.
MP_USERNAME=${MP_USERNAME:-$(ask -s 'Your Full Name:')} MP_USERNAME=${MP_USERNAME:-$(ask 'Your Full Name:')}
# Start Master Password and copy the output. # Start Master Password and copy the output.
printf %s "$(MP_USERNAME=$MP_USERNAME command mpw "$@")" | _copy printf %s "$(MP_USERNAME=$MP_USERNAME command mpw "$@")" | _copy

View File

@ -1,3 +1,4 @@
#define _WITH_GETLINE
#include <stdio.h> #include <stdio.h>
#include <sys/ioctl.h> #include <sys/ioctl.h>
#include <sys/types.h> #include <sys/types.h>
@ -13,7 +14,7 @@
#include <unistd.h> #include <unistd.h>
#include <math.h> #include <math.h>
#include <pwd.h> #include <pwd.h>
#include <uuid/uuid.h> #include <netinet/in.h>
#include <stdlib.h> #include <stdlib.h>
#include <string.h> #include <string.h>
#include <errno.h> #include <errno.h>